<label
  class="form-control"
  [formGroup]="group"
  [ngClass]="modification"
  [class.invalid]="
    group.get(controlName).invalid && group.get(controlName).touched
  "
>
  <span class="label">
    {{ label }}
  </span>
  <textarea
    class="textarea"
    [name]="name"
    [placeholder]="placeholder"
    [formControlName]="controlName"
    [cols]="cols"
    [rows]="rows"
    [maxLength]="maxLength"
    [minLength]="minLength"
  ></textarea>
</label>
<div
  *ngIf="group.get(controlName).invalid && group.get(controlName).touched"
  class="validation"
>
  <p *ngIf="group.get(controlName).errors.required" class="validation-item">
    This field is required
  </p>
</div>
